libadjoint-openmpi-devel-2016.2.0-2.10.x86_64.rpm


Advertisement

Description

libadjoint-openmpi-devel - A library for adjointing computational models - openmpi support

Property Value
Distribution openSUSE Tumbleweed
Repository Science all
Package name libadjoint-openmpi-devel
Package version 2016.2.0
Package release 2.10
Package architecture x86_64
Package type rpm
Installed size 126.20 KB
Download size 32.64 KB
Official Mirror widehat.opensuse.org
Libadjoint is a library for adjointing computational models. This package
contains the development headers needed to link against libadjoint build
with openmpi support.

Alternatives

Package Version Architecture Repository
libadjoint-openmpi-devel-2016.2.0-2.10.i586.rpm 2016.2.0 i586 Science
libadjoint-openmpi-devel - - -

Requires

Name Value
libadjoint0-openmpi = 2016.2.0
openmpi devel
petsc-openmpi devel
slepc-openmpi devel

Provides

Name Value
libadjoint-devel = 2016.2.0
libadjoint-openmpi-devel = 2016.2.0-2.10
libadjoint-openmpi-devel(x86-64) = 2016.2.0-2.10

Obsoletes

Name Value
libadjoint-devel < 2016.2.0

Download

Type URL
Binary Package libadjoint-openmpi-devel-2016.2.0-2.10.x86_64.rpm
Source Package libadjoint-2016.2.0-2.10.src.rpm

Install Howto

  1. Add the Science repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/science/openSUSE_Tumbleweed/ science
  2. Install libadjoint-openmpi-devel rpm package:
    # zypper install libadjoint-openmpi-devel

Files

Path
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_adjointer_routines.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_adjointer_visualisation.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_constants.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_core.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_data_structures.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_debug.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_dictionary.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_eps.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_error_handling.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_evaluation.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_fortran.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_gst.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_petsc.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_petsc_data_structures.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_petsc_f.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_simplification.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_test_main.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_test_tools.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/adj_variable_lookup.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/html_encode.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/libadjoint.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/revolve.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/revolve_c.h
/usr/lib64/mpi/gcc/openmpi/include/libadjoint/uthash.h
/usr/lib64/mpi/gcc/openmpi/lib64/libadjoint.so

Changelog

2017-03-13 - kkhere.geo@gmail.com
- update to version 2016.2.0 compatible with dolfin 2016.2.0
changelog only available in upstream git repository at
https://bitbucket.org/dolfin-adjoint/libadjoint/commits/tag/v2016.2.0
- refresh patch
* fix-python-install.patch
2015-09-29 - kkhere.geo@gmail.com
- update to version 1.6
* new kinds of eigendecompositions
* don't require fortran compiler
* fix petsc and slepc support
* minor fixes
- removed serial build as dolfin does not build serial version anymore
and dolfin-adjoint won't work in serial mode without it
- removed dependency on fortran compiler
- add requirement for libpetsc3-openmpi and libslepc3-openmpi
2015-02-11 - kkhere.geo@gmail.com
- new package libadjoint version 1.5.0
Libadjoint is a library for adjointing computational models.
used mainly by dolfin-adjoint

See Also

Package Description
libadjoint0-openmpi-2016.2.0-2.10.i586.rpm A library for adjoining computational models - openmpi support
libadjoint0-openmpi-2016.2.0-2.10.x86_64.rpm A library for adjoining computational models - openmpi support
libaec-devel-1.0.2-10.18.i586.rpm Development files for libaec, a library for Adaptive Entropy Coding library
libaec-devel-1.0.2-10.18.x86_64.rpm Development files for libaec, a library for Adaptive Entropy Coding library
libaec0-1.0.2-10.18.i586.rpm Adaptive Entropy Coding library
libaec0-1.0.2-10.18.x86_64.rpm Adaptive Entropy Coding library
libaec0-32bit-1.0.2-10.18.x86_64.rpm Adaptive Entropy Coding library
libaf3-3.3.2-5.14.i586.rpm ArrayFire: A general purpose GPU library
libaf3-3.3.2-5.14.x86_64.rpm ArrayFire: A general purpose GPU library
libafcpu3-3.3.2-5.14.i586.rpm ArrayFire CPU Backend
libafcpu3-3.3.2-5.14.x86_64.rpm ArrayFire CPU Backend
libalberta0-3.0.1-3.39.i586.rpm An Adaptive multiLevel finite element toolbox
libalberta0-3.0.1-3.39.x86_64.rpm An Adaptive multiLevel finite element toolbox
libamd2-2.4.6-44.11.i586.rpm Symmetric Approximate Minimum Degree
libamd2-2.4.6-44.11.x86_64.rpm Symmetric Approximate Minimum Degree
Advertisement
Advertisement